Endpoints
Tags
GET
/api/v1/me/tagsList all tags for the organization.
Requires: Any member role
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Response Body
application/json
curl -X GET "https://example.com/api/v1/me/tags"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "name": "string", "color": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z" }]POST
/api/v1/me/tagsCreate a new tag for the organization.
Requires: Editor role or above
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Schema for creating a tag.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/me/tags" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "name": "string", "color": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}GET
/api/v1/me/tags/{tag_id}Get tag by ID.
Requires: Any member role
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
tag_id*Tag Id
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://example.com/api/v1/me/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "name": "string", "color": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}PATCH
/api/v1/me/tags/{tag_id}Update a tag.
Requires: Editor role or above
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
tag_id*Tag Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Schema for updating a tag.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/api/v1/me/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b", "name": "string", "color": "string", "description": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}DELETE
/api/v1/me/tags/{tag_id}Delete a tag.
Requires: Editor role or above
Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
tag_id*Tag Id
Format
uuidResponse Body
application/json
curl -X DELETE "https://example.com/api/v1/me/tags/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty